Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 536124 - dev-lang/gnat-gcc-4.4.7 - In file included from .../work/gcc-4.4.7/gcc/unwind-dw2.c:333: .../work/gcc-4.4.7/gcc/config/i386/linux-unwind.h:138: error: field ‘info’ has incomplete type
Summary: dev-lang/gnat-gcc-4.4.7 - In file included from .../work/gcc-4.4.7/gcc/unwind...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Pending removal: 2017-08-26
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2015-01-09 13:11 UTC by Toralf Förster
Modified: 2017-08-30 18:52 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge log (dev-lang:gnat-gcc-4.4.7:20150109-034435.log,915.97 KB, text/plain)
2015-01-09 14:00 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2015-01-09 13:11:16 UTC
/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build/./gcc/xgcc -B/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build/./gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -B/usr/x86_64-pc-linux-gnu/lib/ -isystem /usr/x86_64-pc-linux-gnu/include -isystem /usr/x86_64-pc-linux-gnu/sys-include -g -O2 -pipe -m32 -O2  -g -O2 -pipe -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wcast-qual -Wold-style-definition  -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED   -I. -I. -I../../.././gcc -I/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc -I/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/. -I/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/../gcc -I/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/../include -I/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/config/libbid -DENABLE_DECIMAL_BID_FORMAT -DHAVE_CC_TLS -DUSE_TLS -o unwind-dw2.o -MT unwind-dw2.o -MD -MP -MF unwind-dw2.dep -fexceptions -c /var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/../gcc/unwind-dw2.c 
In file included from /var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/../gcc/unwind-dw2.c:333:
/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/../gcc/config/i386/linux-unwind.h: In function ‘x86_fallback_frame_state’:
/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/../gcc/config/i386/linux-unwind.h:138: error: field ‘info’ has incomplete type
/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7/libgcc/static-object.mk:12: recipe for target 'unwind-dw2.o' failed
make[5]: *** [unwind-dw2.o] Error 1
make[5]: Leaving directory '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build/x86_64-pc-linux-gnu/32/libgcc'
Makefile:975: recipe for target 'multi-do' failed
make[4]: *** [multi-do] Error 1
make[4]: Leaving directory '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build/x86_64-pc-linux-gnu/libgcc'
Makefile:107: recipe for target 'all-multi' failed
make[3]: *** [all-multi] Error 2
make[3]: Leaving directory '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build/x86_64-pc-linux-gnu/libgcc'
Makefile:13917: recipe for target 'all-stage1-target-libgcc' failed
make[2]: *** [all-stage1-target-libgcc] Error 2
make[2]: Leaving directory '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build'
Makefile:16422: recipe for target 'stage1-bubble' failed
make[1]: *** [stage1-bubble] Error 2
make[1]: Leaving directory '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build'
Makefile:16805: recipe for target 'bootstrap' failed
make: *** [bootstrap] Error 2
emake failed
 * ERROR: dev-lang/gnat-gcc-4.4.7::gentoo failed (compile phase):
 *   bootstrap failed
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_compile
 *   environment, line 3672:  Called gnatbuild_src_compile 'configure' 'make-tools' 'bootstrap'
 *   environment, line 2453:  Called die
 * The specific snippet of code:
 *                       emake bootstrap || die "bootstrap failed"
 * 
 * If you need support, post the output of `emerge --info '=dev-lang/gnat-gcc-4.4.7::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-lang/gnat-gcc-4.4.7::gentoo'`.
 * The complete build log is located at '/var/log/portage/dev-lang:gnat-gcc-4.4.7:20150109-034435.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/build'
 * S: '/var/tmp/portage/dev-lang/gnat-gcc-4.4.7/work/gcc-4.4.7'

 * Regenerating GNU info directory index...
 * Processed 173 info files.

!!! existing preserved libs:
>>> package: media-video/libav-9.17
 *  - /usr/lib64/libavcodec.so.54
 *  - /usr/lib64/libavcodec.so.54.35.0
 *      used by /usr/lib64/libchromaprint.so.0.2.3 (media-libs/chromaprint-1.2)
Use emerge @preserved-rebuild to rebuild packages using these libraries


This chroot image is located at a hardened amd64 host.

Portage 2.2.15 (python 2.7.9-final-0, default/linux/amd64/13.0, gcc-4.8.4, glibc-2.20-r1, 3.17.7-hardened-r1 x86_64)
=================================================================
System uname: Linux-3.17.7-hardened-r1-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16166924 total,    421188 free
KiB Swap:   16777212 total,  16761216 free
Timestamp of tree: Thu, 08 Jan 2015 15:15:01 +0000
sh bash 4.3_p33
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.3_p33
dev-lang/perl:            5.20.1-r4
dev-lang/python:          2.7.9-r1, 3.3.5-r1
dev-util/cmake:           3.0.2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.6
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6-r1, 1.14.1, 1.15
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.4
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.4
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.18 (virtual/os-headers)
sys-libs/glibc:           2.20-r1
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner --tree --quiet-build --deep --jobs 1"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.leaseweb.com/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://gd.tuwien.ac.at/opsys/linux/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mbox mmx modules multilib ncurses nls nptl openmp pam pax_kernel pcre readline session sse sse2 ssl tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Jeroen Roovers gentoo-dev 2015-01-09 13:42:38 UTC
Please attach the entire build log to this bug report.
Comment 2 Toralf Förster gentoo-dev 2015-01-09 14:00:13 UTC
Created attachment 393564 [details]
emerge log
Comment 3 Pacho Ramos gentoo-dev 2015-05-15 14:03:59 UTC
4.4 slot is broken
Comment 4 jonkmalo 2016-07-14 00:22:48 UTC
I'm encountering the same error on gnat-gpl-4.1.3.2007, should I post a new bug?
Comment 5 Pacho Ramos gentoo-dev 2017-08-30 18:52:08 UTC
removed